# permite actulizar el sources.list con la variable <%= lsbdistcodename %>
# asi no tenemos que hacer el hardcoding del nombre de la distribucion
# el template esta en /etc/puppet/templates/ubuntu/sources.list.erb

class ubuntu::apt {
    file { "/etc/apt/sources.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("ubuntu/sources.list.erb"),
    }
    exec{"/usr/bin/apt-get update":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list"],
        require => File["/etc/apt/sources.list"],
    }
}

